Subject: Re: bug#30432: 26.0.91; freeze when text wrap-prefix exceeds window text width

From: "Paul W. Rankin" <[email-masked]>
Date: Thu, 29 Mar 2018 15:00:07 +1000

On 21 Mar 2018, at 3:10 am, Eli Zaretskii <[email-masked]> wrote:
> 
> Thanks, I think I fixed this.  Please try the latest master branch.
> 
> (It turns out wrap-prefix handling already had a smart defense against
> such calamities, but it needed help when the prefix was created by the
> likes of (space ...) properties.)

Thanks Eli. I built from master branch and this appears mostly fixed to me, although I'm still getting a similar temporary freeze when moving point backwards onto a problematic line, e.g.

1. Emacs -Q
2. In scratch buffer, M-x fundamental-mode (just to be sure)
3. M-^ on the second line (to join a line of 80+ chars)
4. M-: (put-text-property (region-beginning) (region-end) 'wrap-prefix '(space :align-to 81))
5. C-n until point is past text line
6. C-p

Here I get a temporary freeze.

However if I resize the window wider than 80 cols and navigate point around, there is no freeze.